+ * Do not spin if TCP connection blocks for writing (and add test case).
[adns] / configure
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.12
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 srcdir=
32 target=NONE
33 verbose=
34 x_includes=NONE
35 x_libraries=NONE
36 bindir='${exec_prefix}/bin'
37 sbindir='${exec_prefix}/sbin'
38 libexecdir='${exec_prefix}/libexec'
39 datadir='${prefix}/share'
40 sysconfdir='${prefix}/etc'
41 sharedstatedir='${prefix}/com'
42 localstatedir='${prefix}/var'
43 libdir='${exec_prefix}/lib'
44 includedir='${prefix}/include'
45 oldincludedir='/usr/include'
46 infodir='${prefix}/info'
47 mandir='${prefix}/man'
48
49 # Initialize some other variables.
50 subdirs=
51 MFLAGS= MAKEFLAGS=
52 # Maximum number of lines to put in a shell here document.
53 ac_max_here_lines=12
54
55 ac_prev=
56 for ac_option
57 do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137 Usage: configure [options] [host]
138 Options: [defaults in brackets after descriptions]
139 Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145 Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169 EOF
170 cat << EOF
171 Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175 Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182 EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.12"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392 done
393
394 if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396 fi
397
398 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400 # File descriptor usage:
401 # 0 standard input
402 # 1 file creation
403 # 2 errors and warnings
404 # 3 some systems may open it to /dev/tty
405 # 4 used on the Kubota Titan
406 # 6 checking for... messages and results
407 # 5 compiler messages saved in config.log
408 if test "$silent" = yes; then
409 exec 6>/dev/null
410 else
411 exec 6>&1
412 fi
413 exec 5>./config.log
414
415 echo "\
416 This file contains any messages produced by compilers while
417 running configure, to aid debugging if configure makes a mistake.
418 " 1>&5
419
420 # Strip out --no-create and --no-recursion so they do not pile up.
421 # Also quote any args containing shell metacharacters.
422 ac_configure_args=
423 for ac_arg
424 do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434 done
435
436 # NLS nuisances.
437 # Only set these to C if already set. These must not be set unconditionally
438 # because not all systems understand e.g. LANG=C (notably SCO).
439 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440 # Non-C LC_CTYPE values break the ctype check.
441 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446 # confdefs.h avoids OS command line length limits that DEFS can exceed.
447 rm -rf conftest* confdefs.h
448 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
449 echo > confdefs.h
450
451 # A filename unique to this package, relative to the directory that
452 # configure is in, which we can look for to find out if srcdir is correct.
453 ac_unique_file=src/adns.h
454
455 # Find the source files, if location was not specified.
456 if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466 else
467 ac_srcdir_defaulted=no
468 fi
469 if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475 fi
476 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478 # Prefer explicitly selected file to automatically selected ones.
479 if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485 fi
486 for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491 done
492
493 if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496 else
497 echo "creating cache $cache_file"
498 > $cache_file
499 fi
500
501 ac_ext=c
502 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503 ac_cpp='$CPP $CPPFLAGS'
504 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506 cross_compiling=$ac_cv_prog_cc_cross
507
508 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512 ' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=
515 fi
516 else
517 ac_n= ac_c='\c' ac_t=
518 fi
519
520
521
522 # Extract the first word of "gcc", so it can be a program name with args.
523 set dummy gcc; ac_word=$2
524 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
525 echo "configure:526: checking for $ac_word" >&5
526 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
527 echo $ac_n "(cached) $ac_c" 1>&6
528 else
529 if test -n "$CC"; then
530 ac_cv_prog_CC="$CC" # Let the user override the test.
531 else
532 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
533 for ac_dir in $PATH; do
534 test -z "$ac_dir" && ac_dir=.
535 if test -f $ac_dir/$ac_word; then
536 ac_cv_prog_CC="gcc"
537 break
538 fi
539 done
540 IFS="$ac_save_ifs"
541 fi
542 fi
543 CC="$ac_cv_prog_CC"
544 if test -n "$CC"; then
545 echo "$ac_t""$CC" 1>&6
546 else
547 echo "$ac_t""no" 1>&6
548 fi
549
550 if test -z "$CC"; then
551 # Extract the first word of "cc", so it can be a program name with args.
552 set dummy cc; ac_word=$2
553 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
554 echo "configure:555: checking for $ac_word" >&5
555 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
556 echo $ac_n "(cached) $ac_c" 1>&6
557 else
558 if test -n "$CC"; then
559 ac_cv_prog_CC="$CC" # Let the user override the test.
560 else
561 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
562 ac_prog_rejected=no
563 for ac_dir in $PATH; do
564 test -z "$ac_dir" && ac_dir=.
565 if test -f $ac_dir/$ac_word; then
566 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
567 ac_prog_rejected=yes
568 continue
569 fi
570 ac_cv_prog_CC="cc"
571 break
572 fi
573 done
574 IFS="$ac_save_ifs"
575 if test $ac_prog_rejected = yes; then
576 # We found a bogon in the path, so make sure we never use it.
577 set dummy $ac_cv_prog_CC
578 shift
579 if test $# -gt 0; then
580 # We chose a different compiler from the bogus one.
581 # However, it has the same basename, so the bogon will be chosen
582 # first if we set CC to just the basename; use the full file name.
583 shift
584 set dummy "$ac_dir/$ac_word" "$@"
585 shift
586 ac_cv_prog_CC="$@"
587 fi
588 fi
589 fi
590 fi
591 CC="$ac_cv_prog_CC"
592 if test -n "$CC"; then
593 echo "$ac_t""$CC" 1>&6
594 else
595 echo "$ac_t""no" 1>&6
596 fi
597
598 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
599 fi
600
601 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
602 echo "configure:603: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
603
604 ac_ext=c
605 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
606 ac_cpp='$CPP $CPPFLAGS'
607 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
608 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
609 cross_compiling=$ac_cv_prog_cc_cross
610
611 cat > conftest.$ac_ext <<EOF
612 #line 613 "configure"
613 #include "confdefs.h"
614 main(){return(0);}
615 EOF
616 if { (eval echo configure:617: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
617 ac_cv_prog_cc_works=yes
618 # If we can't run a trivial program, we are probably using a cross compiler.
619 if (./conftest; exit) 2>/dev/null; then
620 ac_cv_prog_cc_cross=no
621 else
622 ac_cv_prog_cc_cross=yes
623 fi
624 else
625 echo "configure: failed program was:" >&5
626 cat conftest.$ac_ext >&5
627 ac_cv_prog_cc_works=no
628 fi
629 rm -fr conftest*
630
631 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
632 if test $ac_cv_prog_cc_works = no; then
633 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
634 fi
635 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
636 echo "configure:637: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
637 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
638 cross_compiling=$ac_cv_prog_cc_cross
639
640 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
641 echo "configure:642: checking whether we are using GNU C" >&5
642 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
643 echo $ac_n "(cached) $ac_c" 1>&6
644 else
645 cat > conftest.c <<EOF
646 #ifdef __GNUC__
647 yes;
648 #endif
649 EOF
650 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:651: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
651 ac_cv_prog_gcc=yes
652 else
653 ac_cv_prog_gcc=no
654 fi
655 fi
656
657 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
658
659 if test $ac_cv_prog_gcc = yes; then
660 GCC=yes
661 ac_test_CFLAGS="${CFLAGS+set}"
662 ac_save_CFLAGS="$CFLAGS"
663 CFLAGS=
664 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
665 echo "configure:666: checking whether ${CC-cc} accepts -g" >&5
666 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
667 echo $ac_n "(cached) $ac_c" 1>&6
668 else
669 echo 'void f(){}' > conftest.c
670 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
671 ac_cv_prog_cc_g=yes
672 else
673 ac_cv_prog_cc_g=no
674 fi
675 rm -f conftest*
676
677 fi
678
679 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
680 if test "$ac_test_CFLAGS" = set; then
681 CFLAGS="$ac_save_CFLAGS"
682 elif test $ac_cv_prog_cc_g = yes; then
683 CFLAGS="-g -O2"
684 else
685 CFLAGS="-O2"
686 fi
687 else
688 GCC=
689 test "${CFLAGS+set}" = set || CFLAGS="-g"
690 fi
691
692 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
693 echo "configure:694: checking how to run the C preprocessor" >&5
694 # On Suns, sometimes $CPP names a directory.
695 if test -n "$CPP" && test -d "$CPP"; then
696 CPP=
697 fi
698 if test -z "$CPP"; then
699 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
700 echo $ac_n "(cached) $ac_c" 1>&6
701 else
702 # This must be in double quotes, not single quotes, because CPP may get
703 # substituted into the Makefile and "${CC-cc}" will confuse make.
704 CPP="${CC-cc} -E"
705 # On the NeXT, cc -E runs the code through the compiler's parser,
706 # not just through cpp.
707 cat > conftest.$ac_ext <<EOF
708 #line 709 "configure"
709 #include "confdefs.h"
710 #include <assert.h>
711 Syntax Error
712 EOF
713 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
714 { (eval echo configure:715: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
715 ac_err=`grep -v '^ *+' conftest.out`
716 if test -z "$ac_err"; then
717 :
718 else
719 echo "$ac_err" >&5
720 echo "configure: failed program was:" >&5
721 cat conftest.$ac_ext >&5
722 rm -rf conftest*
723 CPP="${CC-cc} -E -traditional-cpp"
724 cat > conftest.$ac_ext <<EOF
725 #line 726 "configure"
726 #include "confdefs.h"
727 #include <assert.h>
728 Syntax Error
729 EOF
730 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
731 { (eval echo configure:732: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
732 ac_err=`grep -v '^ *+' conftest.out`
733 if test -z "$ac_err"; then
734 :
735 else
736 echo "$ac_err" >&5
737 echo "configure: failed program was:" >&5
738 cat conftest.$ac_ext >&5
739 rm -rf conftest*
740 CPP=/lib/cpp
741 fi
742 rm -f conftest*
743 fi
744 rm -f conftest*
745 ac_cv_prog_CPP="$CPP"
746 fi
747 CPP="$ac_cv_prog_CPP"
748 else
749 ac_cv_prog_CPP="$CPP"
750 fi
751 echo "$ac_t""$CPP" 1>&6
752
753 # Extract the first word of "ranlib", so it can be a program name with args.
754 set dummy ranlib; ac_word=$2
755 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
756 echo "configure:757: checking for $ac_word" >&5
757 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
758 echo $ac_n "(cached) $ac_c" 1>&6
759 else
760 if test -n "$RANLIB"; then
761 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
762 else
763 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
764 for ac_dir in $PATH; do
765 test -z "$ac_dir" && ac_dir=.
766 if test -f $ac_dir/$ac_word; then
767 ac_cv_prog_RANLIB="ranlib"
768 break
769 fi
770 done
771 IFS="$ac_save_ifs"
772 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
773 fi
774 fi
775 RANLIB="$ac_cv_prog_RANLIB"
776 if test -n "$RANLIB"; then
777 echo "$ac_t""$RANLIB" 1>&6
778 else
779 echo "$ac_t""no" 1>&6
780 fi
781
782
783 for ac_func in poll
784 do
785 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
786 echo "configure:787: checking for $ac_func" >&5
787 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
788 echo $ac_n "(cached) $ac_c" 1>&6
789 else
790 cat > conftest.$ac_ext <<EOF
791 #line 792 "configure"
792 #include "confdefs.h"
793 /* System header to define __stub macros and hopefully few prototypes,
794 which can conflict with char $ac_func(); below. */
795 #include <assert.h>
796 /* Override any gcc2 internal prototype to avoid an error. */
797 /* We use char because int might match the return type of a gcc2
798 builtin and then its argument prototype would still apply. */
799 char $ac_func();
800
801 int main() {
802
803 /* The GNU C library defines this for functions which it implements
804 to always fail with ENOSYS. Some functions are actually named
805 something starting with __ and the normal name is an alias. */
806 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
807 choke me
808 #else
809 $ac_func();
810 #endif
811
812 ; return 0; }
813 EOF
814 if { (eval echo configure:815: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
815 rm -rf conftest*
816 eval "ac_cv_func_$ac_func=yes"
817 else
818 echo "configure: failed program was:" >&5
819 cat conftest.$ac_ext >&5
820 rm -rf conftest*
821 eval "ac_cv_func_$ac_func=no"
822 fi
823 rm -f conftest*
824 fi
825
826 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
827 echo "$ac_t""yes" 1>&6
828 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
829 cat >> confdefs.h <<EOF
830 #define $ac_tr_func 1
831 EOF
832
833 else
834 echo "$ac_t""no" 1>&6
835 fi
836 done
837
838
839 echo $ac_n "checking for socket""... $ac_c" 1>&6
840 echo "configure:841: checking for socket" >&5
841 if eval "test \"`echo '$''{'ac_cv_func_socket'+set}'`\" = set"; then
842 echo $ac_n "(cached) $ac_c" 1>&6
843 else
844 cat > conftest.$ac_ext <<EOF
845 #line 846 "configure"
846 #include "confdefs.h"
847 /* System header to define __stub macros and hopefully few prototypes,
848 which can conflict with char socket(); below. */
849 #include <assert.h>
850 /* Override any gcc2 internal prototype to avoid an error. */
851 /* We use char because int might match the return type of a gcc2
852 builtin and then its argument prototype would still apply. */
853 char socket();
854
855 int main() {
856
857 /* The GNU C library defines this for functions which it implements
858 to always fail with ENOSYS. Some functions are actually named
859 something starting with __ and the normal name is an alias. */
860 #if defined (__stub_socket) || defined (__stub___socket)
861 choke me
862 #else
863 socket();
864 #endif
865
866 ; return 0; }
867 EOF
868 if { (eval echo configure:869: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
869 rm -rf conftest*
870 eval "ac_cv_func_socket=yes"
871 else
872 echo "configure: failed program was:" >&5
873 cat conftest.$ac_ext >&5
874 rm -rf conftest*
875 eval "ac_cv_func_socket=no"
876 fi
877 rm -f conftest*
878 fi
879
880 if eval "test \"`echo '$ac_cv_func_'socket`\" = yes"; then
881 echo "$ac_t""yes" 1>&6
882 :
883 else
884 echo "$ac_t""no" 1>&6
885
886 echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
887 echo "configure:888: checking for socket in -lsocket" >&5
888 ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
889 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
890 echo $ac_n "(cached) $ac_c" 1>&6
891 else
892 ac_save_LIBS="$LIBS"
893 LIBS="-lsocket $LIBS"
894 cat > conftest.$ac_ext <<EOF
895 #line 896 "configure"
896 #include "confdefs.h"
897 /* Override any gcc2 internal prototype to avoid an error. */
898 /* We use char because int might match the return type of a gcc2
899 builtin and then its argument prototype would still apply. */
900 char socket();
901
902 int main() {
903 socket()
904 ; return 0; }
905 EOF
906 if { (eval echo configure:907: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
907 rm -rf conftest*
908 eval "ac_cv_lib_$ac_lib_var=yes"
909 else
910 echo "configure: failed program was:" >&5
911 cat conftest.$ac_ext >&5
912 rm -rf conftest*
913 eval "ac_cv_lib_$ac_lib_var=no"
914 fi
915 rm -f conftest*
916 LIBS="$ac_save_LIBS"
917
918 fi
919 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
920 echo "$ac_t""yes" 1>&6
921 ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
922 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
923 cat >> confdefs.h <<EOF
924 #define $ac_tr_lib 1
925 EOF
926
927 LIBS="-lsocket $LIBS"
928
929 else
930 echo "$ac_t""no" 1>&6
931
932 { echo "configure: error: cannot find library function socket" 1>&2; exit 1; }
933
934 fi
935
936
937 fi
938
939
940
941 echo $ac_n "checking for inet_ntoa""... $ac_c" 1>&6
942 echo "configure:943: checking for inet_ntoa" >&5
943 if eval "test \"`echo '$''{'ac_cv_func_inet_ntoa'+set}'`\" = set"; then
944 echo $ac_n "(cached) $ac_c" 1>&6
945 else
946 cat > conftest.$ac_ext <<EOF
947 #line 948 "configure"
948 #include "confdefs.h"
949 /* System header to define __stub macros and hopefully few prototypes,
950 which can conflict with char inet_ntoa(); below. */
951 #include <assert.h>
952 /* Override any gcc2 internal prototype to avoid an error. */
953 /* We use char because int might match the return type of a gcc2
954 builtin and then its argument prototype would still apply. */
955 char inet_ntoa();
956
957 int main() {
958
959 /* The GNU C library defines this for functions which it implements
960 to always fail with ENOSYS. Some functions are actually named
961 something starting with __ and the normal name is an alias. */
962 #if defined (__stub_inet_ntoa) || defined (__stub___inet_ntoa)
963 choke me
964 #else
965 inet_ntoa();
966 #endif
967
968 ; return 0; }
969 EOF
970 if { (eval echo configure:971: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
971 rm -rf conftest*
972 eval "ac_cv_func_inet_ntoa=yes"
973 else
974 echo "configure: failed program was:" >&5
975 cat conftest.$ac_ext >&5
976 rm -rf conftest*
977 eval "ac_cv_func_inet_ntoa=no"
978 fi
979 rm -f conftest*
980 fi
981
982 if eval "test \"`echo '$ac_cv_func_'inet_ntoa`\" = yes"; then
983 echo "$ac_t""yes" 1>&6
984 :
985 else
986 echo "$ac_t""no" 1>&6
987
988 echo $ac_n "checking for inet_ntoa in -lnsl""... $ac_c" 1>&6
989 echo "configure:990: checking for inet_ntoa in -lnsl" >&5
990 ac_lib_var=`echo nsl'_'inet_ntoa | sed 'y%./+-%__p_%'`
991 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
992 echo $ac_n "(cached) $ac_c" 1>&6
993 else
994 ac_save_LIBS="$LIBS"
995 LIBS="-lnsl $LIBS"
996 cat > conftest.$ac_ext <<EOF
997 #line 998 "configure"
998 #include "confdefs.h"
999 /* Override any gcc2 internal prototype to avoid an error. */
1000 /* We use char because int might match the return type of a gcc2
1001 builtin and then its argument prototype would still apply. */
1002 char inet_ntoa();
1003
1004 int main() {
1005 inet_ntoa()
1006 ; return 0; }
1007 EOF
1008 if { (eval echo configure:1009: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1009 rm -rf conftest*
1010 eval "ac_cv_lib_$ac_lib_var=yes"
1011 else
1012 echo "configure: failed program was:" >&5
1013 cat conftest.$ac_ext >&5
1014 rm -rf conftest*
1015 eval "ac_cv_lib_$ac_lib_var=no"
1016 fi
1017 rm -f conftest*
1018 LIBS="$ac_save_LIBS"
1019
1020 fi
1021 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1022 echo "$ac_t""yes" 1>&6
1023 ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1024 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1025 cat >> confdefs.h <<EOF
1026 #define $ac_tr_lib 1
1027 EOF
1028
1029 LIBS="-lnsl $LIBS"
1030
1031 else
1032 echo "$ac_t""no" 1>&6
1033
1034 { echo "configure: error: cannot find library function inet_ntoa" 1>&2; exit 1; }
1035
1036 fi
1037
1038
1039 fi
1040
1041
1042
1043 PROGS_IF_TSEARCH=adnsresfilter
1044
1045 echo $ac_n "checking for tsearch""... $ac_c" 1>&6
1046 echo "configure:1047: checking for tsearch" >&5
1047 if eval "test \"`echo '$''{'ac_cv_func_tsearch'+set}'`\" = set"; then
1048 echo $ac_n "(cached) $ac_c" 1>&6
1049 else
1050 cat > conftest.$ac_ext <<EOF
1051 #line 1052 "configure"
1052 #include "confdefs.h"
1053 /* System header to define __stub macros and hopefully few prototypes,
1054 which can conflict with char tsearch(); below. */
1055 #include <assert.h>
1056 /* Override any gcc2 internal prototype to avoid an error. */
1057 /* We use char because int might match the return type of a gcc2
1058 builtin and then its argument prototype would still apply. */
1059 char tsearch();
1060
1061 int main() {
1062
1063 /* The GNU C library defines this for functions which it implements
1064 to always fail with ENOSYS. Some functions are actually named
1065 something starting with __ and the normal name is an alias. */
1066 #if defined (__stub_tsearch) || defined (__stub___tsearch)
1067 choke me
1068 #else
1069 tsearch();
1070 #endif
1071
1072 ; return 0; }
1073 EOF
1074 if { (eval echo configure:1075: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1075 rm -rf conftest*
1076 eval "ac_cv_func_tsearch=yes"
1077 else
1078 echo "configure: failed program was:" >&5
1079 cat conftest.$ac_ext >&5
1080 rm -rf conftest*
1081 eval "ac_cv_func_tsearch=no"
1082 fi
1083 rm -f conftest*
1084 fi
1085
1086 if eval "test \"`echo '$ac_cv_func_'tsearch`\" = yes"; then
1087 echo "$ac_t""yes" 1>&6
1088
1089 PROGS_HAVE_TSEARCH=$PROGS_IF_TSEARCH
1090
1091 else
1092 echo "$ac_t""no" 1>&6
1093
1094 PROGS_HAVE_TSEARCH='';
1095 echo "configure: warning: tsearch missing - not building client program(s) $PROGS_IF_TSEARCH" 1>&2
1096
1097 fi
1098
1099
1100 echo $ac_n "checking for INADDR_LOOPBACK""... $ac_c" 1>&6
1101 echo "configure:1102: checking for INADDR_LOOPBACK" >&5
1102 if eval "test \"`echo '$''{'adns_cv_decl_inaddrloopback'+set}'`\" = set"; then
1103 echo $ac_n "(cached) $ac_c" 1>&6
1104 else
1105
1106 cat > conftest.$ac_ext <<EOF
1107 #line 1108 "configure"
1108 #include "confdefs.h"
1109
1110 #include <sys/socket.h>
1111 #include <netinet/in.h>
1112 #include <arpa/inet.h>
1113
1114 int main() {
1115
1116 INADDR_LOOPBACK;
1117
1118 ; return 0; }
1119 EOF
1120 if { (eval echo configure:1121: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1121 rm -rf conftest*
1122 adns_cv_decl_inaddrloopback=yes
1123 else
1124 echo "configure: failed program was:" >&5
1125 cat conftest.$ac_ext >&5
1126 rm -rf conftest*
1127 adns_cv_decl_inaddrloopback=no
1128 fi
1129 rm -f conftest*
1130 fi
1131
1132 if test "$adns_cv_decl_inaddrloopback" = yes; then
1133 echo "$ac_t""found" 1>&6
1134 else
1135 echo "$ac_t""not in standard headers, urgh..." 1>&6
1136 ac_safe=`echo "rpc/types.h" | sed 'y%./+-%__p_%'`
1137 echo $ac_n "checking for rpc/types.h""... $ac_c" 1>&6
1138 echo "configure:1139: checking for rpc/types.h" >&5
1139 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1140 echo $ac_n "(cached) $ac_c" 1>&6
1141 else
1142 cat > conftest.$ac_ext <<EOF
1143 #line 1144 "configure"
1144 #include "confdefs.h"
1145 #include <rpc/types.h>
1146 EOF
1147 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1148 { (eval echo configure:1149: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1149 ac_err=`grep -v '^ *+' conftest.out`
1150 if test -z "$ac_err"; then
1151 rm -rf conftest*
1152 eval "ac_cv_header_$ac_safe=yes"
1153 else
1154 echo "$ac_err" >&5
1155 echo "configure: failed program was:" >&5
1156 cat conftest.$ac_ext >&5
1157 rm -rf conftest*
1158 eval "ac_cv_header_$ac_safe=no"
1159 fi
1160 rm -f conftest*
1161 fi
1162 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1163 echo "$ac_t""yes" 1>&6
1164
1165 cat >> confdefs.h <<\EOF
1166 #define HAVEUSE_RPCTYPES_H 1
1167 EOF
1168
1169
1170 else
1171 echo "$ac_t""no" 1>&6
1172
1173 { echo "configure: error: cannot find INADDR_LOOPBACK or rpc/types.h" 1>&2; exit 1; }
1174
1175 fi
1176
1177 fi
1178
1179
1180 echo $ac_n "checking for inet_aton""... $ac_c" 1>&6
1181 echo "configure:1182: checking for inet_aton" >&5
1182 if eval "test \"`echo '$''{'ac_cv_func_inet_aton'+set}'`\" = set"; then
1183 echo $ac_n "(cached) $ac_c" 1>&6
1184 else
1185 cat > conftest.$ac_ext <<EOF
1186 #line 1187 "configure"
1187 #include "confdefs.h"
1188 /* System header to define __stub macros and hopefully few prototypes,
1189 which can conflict with char inet_aton(); below. */
1190 #include <assert.h>
1191 /* Override any gcc2 internal prototype to avoid an error. */
1192 /* We use char because int might match the return type of a gcc2
1193 builtin and then its argument prototype would still apply. */
1194 char inet_aton();
1195
1196 int main() {
1197
1198 /* The GNU C library defines this for functions which it implements
1199 to always fail with ENOSYS. Some functions are actually named
1200 something starting with __ and the normal name is an alias. */
1201 #if defined (__stub_inet_aton) || defined (__stub___inet_aton)
1202 choke me
1203 #else
1204 inet_aton();
1205 #endif
1206
1207 ; return 0; }
1208 EOF
1209 if { (eval echo configure:1210: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1210 rm -rf conftest*
1211 eval "ac_cv_func_inet_aton=yes"
1212 else
1213 echo "configure: failed program was:" >&5
1214 cat conftest.$ac_ext >&5
1215 rm -rf conftest*
1216 eval "ac_cv_func_inet_aton=no"
1217 fi
1218 rm -f conftest*
1219 fi
1220
1221 if eval "test \"`echo '$ac_cv_func_'inet_aton`\" = yes"; then
1222 echo "$ac_t""yes" 1>&6
1223 :
1224 else
1225 echo "$ac_t""no" 1>&6
1226
1227 echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
1228 echo "configure:1229: checking for inet_aton in -lresolv" >&5
1229 ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
1230 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1231 echo $ac_n "(cached) $ac_c" 1>&6
1232 else
1233 ac_save_LIBS="$LIBS"
1234 LIBS="-lresolv $LIBS"
1235 cat > conftest.$ac_ext <<EOF
1236 #line 1237 "configure"
1237 #include "confdefs.h"
1238 /* Override any gcc2 internal prototype to avoid an error. */
1239 /* We use char because int might match the return type of a gcc2
1240 builtin and then its argument prototype would still apply. */
1241 char inet_aton();
1242
1243 int main() {
1244 inet_aton()
1245 ; return 0; }
1246 EOF
1247 if { (eval echo configure:1248: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1248 rm -rf conftest*
1249 eval "ac_cv_lib_$ac_lib_var=yes"
1250 else
1251 echo "configure: failed program was:" >&5
1252 cat conftest.$ac_ext >&5
1253 rm -rf conftest*
1254 eval "ac_cv_lib_$ac_lib_var=no"
1255 fi
1256 rm -f conftest*
1257 LIBS="$ac_save_LIBS"
1258
1259 fi
1260 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1261 echo "$ac_t""yes" 1>&6
1262
1263 LIBS="-lresolv $LIBS";
1264 echo "configure: warning: inet_aton is in libresolv, urgh. Must use -lresolv." 1>&2
1265
1266 else
1267 echo "$ac_t""no" 1>&6
1268
1269 { echo "configure: error: cannot find library function inet_aton" 1>&2; exit 1; }
1270
1271 fi
1272
1273
1274 fi
1275
1276
1277
1278
1279
1280 echo $ac_n "checking __attribute__((,,))""... $ac_c" 1>&6
1281 echo "configure:1282: checking __attribute__((,,))" >&5
1282 if eval "test \"`echo '$''{'adns_cv_c_attribute_supported'+set}'`\" = set"; then
1283 echo $ac_n "(cached) $ac_c" 1>&6
1284 else
1285
1286 cat > conftest.$ac_ext <<EOF
1287 #line 1288 "configure"
1288 #include "confdefs.h"
1289
1290 int main() {
1291 extern int testfunction(int x) __attribute__((,,))
1292 ; return 0; }
1293 EOF
1294 if { (eval echo configure:1295: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1295 rm -rf conftest*
1296 adns_cv_c_attribute_supported=yes
1297 else
1298 echo "configure: failed program was:" >&5
1299 cat conftest.$ac_ext >&5
1300 rm -rf conftest*
1301 adns_cv_c_attribute_supported=no
1302 fi
1303 rm -f conftest*
1304
1305 fi
1306
1307 if test "x$adns_cv_c_attribute_supported" = xyes; then
1308 true
1309 echo "$ac_t""yes" 1>&6
1310 cat >> confdefs.h <<\EOF
1311 #define HAVE_GNUC25_ATTRIB 1
1312 EOF
1313
1314
1315 echo $ac_n "checking __attribute__((noreturn))""... $ac_c" 1>&6
1316 echo "configure:1317: checking __attribute__((noreturn))" >&5
1317 if eval "test \"`echo '$''{'adns_cv_c_attribute_noreturn'+set}'`\" = set"; then
1318 echo $ac_n "(cached) $ac_c" 1>&6
1319 else
1320
1321 cat > conftest.$ac_ext <<EOF
1322 #line 1323 "configure"
1323 #include "confdefs.h"
1324
1325 int main() {
1326 extern int testfunction(int x) __attribute__((noreturn))
1327 ; return 0; }
1328 EOF
1329 if { (eval echo configure:1330: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1330 rm -rf conftest*
1331 adns_cv_c_attribute_noreturn=yes
1332 else
1333 echo "configure: failed program was:" >&5
1334 cat conftest.$ac_ext >&5
1335 rm -rf conftest*
1336 adns_cv_c_attribute_noreturn=no
1337 fi
1338 rm -f conftest*
1339
1340 fi
1341
1342 if test "x$adns_cv_c_attribute_noreturn" = xyes; then
1343 true
1344 echo "$ac_t""yes" 1>&6
1345 cat >> confdefs.h <<\EOF
1346 #define HAVE_GNUC25_NORETURN 1
1347 EOF
1348
1349 else
1350 true
1351 echo "$ac_t""no" 1>&6
1352 fi
1353
1354
1355 echo $ac_n "checking __attribute__((const))""... $ac_c" 1>&6
1356 echo "configure:1357: checking __attribute__((const))" >&5
1357 if eval "test \"`echo '$''{'adns_cv_c_attribute_const'+set}'`\" = set"; then
1358 echo $ac_n "(cached) $ac_c" 1>&6
1359 else
1360
1361 cat > conftest.$ac_ext <<EOF
1362 #line 1363 "configure"
1363 #include "confdefs.h"
1364
1365 int main() {
1366 extern int testfunction(int x) __attribute__((const))
1367 ; return 0; }
1368 EOF
1369 if { (eval echo configure:1370: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1370 rm -rf conftest*
1371 adns_cv_c_attribute_const=yes
1372 else
1373 echo "configure: failed program was:" >&5
1374 cat conftest.$ac_ext >&5
1375 rm -rf conftest*
1376 adns_cv_c_attribute_const=no
1377 fi
1378 rm -f conftest*
1379
1380 fi
1381
1382 if test "x$adns_cv_c_attribute_const" = xyes; then
1383 true
1384 echo "$ac_t""yes" 1>&6
1385 cat >> confdefs.h <<\EOF
1386 #define HAVE_GNUC25_CONST 1
1387 EOF
1388
1389 else
1390 true
1391 echo "$ac_t""no" 1>&6
1392 fi
1393
1394
1395 echo $ac_n "checking __attribute__((format...))""... $ac_c" 1>&6
1396 echo "configure:1397: checking __attribute__((format...))" >&5
1397 if eval "test \"`echo '$''{'adns_cv_attribute_format'+set}'`\" = set"; then
1398 echo $ac_n "(cached) $ac_c" 1>&6
1399 else
1400
1401 cat > conftest.$ac_ext <<EOF
1402 #line 1403 "configure"
1403 #include "confdefs.h"
1404
1405 int main() {
1406 extern int testfunction(char *y, ...) __attribute__((format(printf,1,2)))
1407 ; return 0; }
1408 EOF
1409 if { (eval echo configure:1410: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1410 rm -rf conftest*
1411 adns_cv_attribute_format=yes
1412 else
1413 echo "configure: failed program was:" >&5
1414 cat conftest.$ac_ext >&5
1415 rm -rf conftest*
1416 adns_cv_attribute_format=no
1417 fi
1418 rm -f conftest*
1419
1420 fi
1421
1422 if test "x$adns_cv_attribute_format" = xyes; then
1423 true
1424 echo "$ac_t""yes" 1>&6
1425 cat >> confdefs.h <<\EOF
1426 #define HAVE_GNUC25_PRINTFFORMAT 1
1427 EOF
1428
1429 else
1430 true
1431 echo "$ac_t""no" 1>&6
1432 fi
1433
1434 else
1435 true
1436 echo "$ac_t""no" 1>&6
1437 fi
1438
1439
1440
1441
1442
1443 if test "${GCC-no}" = yes; then
1444 WARNS="-Wall -Wmissing-prototypes -Wwrite-strings -Wstrict-prototypes -Wcast-qual -Wpointer-arith"
1445 else
1446 WARNS=
1447 fi
1448
1449
1450
1451
1452
1453
1454
1455
1456
1457
1458 SHLIBFORLINK='libadns.so'
1459 SHLIBSONAME='$(SHLIBFORLINK).$(MAJOR)'
1460 SHLIBFILE='$(SHLIBSONAME).$(MINOR)'
1461
1462 SHLIBCC='$(CC) $(CFLAGS) -fpic'
1463 MKSHLIB_1='$(CC) $(LDFLAGS) -shared -Wl,-soname=$(SHLIBSONAME) -o'
1464 MKSHLIB_2=''
1465 MKSHLIB_3='-lc'
1466
1467 trap '' 1 2 15
1468 cat > confcache <<\EOF
1469 # This file is a shell script that caches the results of configure
1470 # tests run on this system so they can be shared between configure
1471 # scripts and configure runs. It is not useful on other systems.
1472 # If it contains results you don't want to keep, you may remove or edit it.
1473 #
1474 # By default, configure uses ./config.cache as the cache file,
1475 # creating it if it does not exist already. You can give configure
1476 # the --cache-file=FILE option to use a different cache file; that is
1477 # what configure does when it calls configure scripts in
1478 # subdirectories, so they share the cache.
1479 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1480 # config.status only pays attention to the cache file if you give it the
1481 # --recheck option to rerun configure.
1482 #
1483 EOF
1484 # The following way of writing the cache mishandles newlines in values,
1485 # but we know of no workaround that is simple, portable, and efficient.
1486 # So, don't put newlines in cache variables' values.
1487 # Ultrix sh set writes to stderr and can't be redirected directly,
1488 # and sets the high bit in the cache file unless we assign to the vars.
1489 (set) 2>&1 |
1490 case `(ac_space=' '; set) 2>&1` in
1491 *ac_space=\ *)
1492 # `set' does not quote correctly, so add quotes (double-quote substitution
1493 # turns \\\\ into \\, and sed turns \\ into \).
1494 sed -n \
1495 -e "s/'/'\\\\''/g" \
1496 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1497 ;;
1498 *)
1499 # `set' quotes correctly as required by POSIX, so do not add quotes.
1500 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1501 ;;
1502 esac >> confcache
1503 if cmp -s $cache_file confcache; then
1504 :
1505 else
1506 if test -w $cache_file; then
1507 echo "updating cache $cache_file"
1508 cat confcache > $cache_file
1509 else
1510 echo "not updating unwritable cache $cache_file"
1511 fi
1512 fi
1513 rm -f confcache
1514
1515 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1516
1517 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1518 # Let make expand exec_prefix.
1519 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1520
1521 # Any assignment to VPATH causes Sun make to only execute
1522 # the first set of double-colon rules, so remove it if not needed.
1523 # If there is a colon in the path, we need to keep it.
1524 if test "x$srcdir" = x.; then
1525 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1526 fi
1527
1528 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1529
1530 DEFS=-DHAVE_CONFIG_H
1531
1532 # Without the "./", some shells look in PATH for config.status.
1533 : ${CONFIG_STATUS=./config.status}
1534
1535 echo creating $CONFIG_STATUS
1536 rm -f $CONFIG_STATUS
1537 cat > $CONFIG_STATUS <<EOF
1538 #! /bin/sh
1539 # Generated automatically by configure.
1540 # Run this file to recreate the current configuration.
1541 # This directory was configured as follows,
1542 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1543 #
1544 # $0 $ac_configure_args
1545 #
1546 # Compiler output produced by configure, useful for debugging
1547 # configure, is in ./config.log if it exists.
1548
1549 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1550 for ac_option
1551 do
1552 case "\$ac_option" in
1553 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1554 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1555 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1556 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1557 echo "$CONFIG_STATUS generated by autoconf version 2.12"
1558 exit 0 ;;
1559 -help | --help | --hel | --he | --h)
1560 echo "\$ac_cs_usage"; exit 0 ;;
1561 *) echo "\$ac_cs_usage"; exit 1 ;;
1562 esac
1563 done
1564
1565 ac_given_srcdir=$srcdir
1566
1567 trap 'rm -fr `echo "settings.make Makefile
1568 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1569 src/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1570 EOF
1571 cat >> $CONFIG_STATUS <<EOF
1572
1573 # Protect against being on the right side of a sed subst in config.status.
1574 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1575 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1576 $ac_vpsub
1577 $extrasub
1578 s%@CFLAGS@%$CFLAGS%g
1579 s%@CPPFLAGS@%$CPPFLAGS%g
1580 s%@CXXFLAGS@%$CXXFLAGS%g
1581 s%@DEFS@%$DEFS%g
1582 s%@LDFLAGS@%$LDFLAGS%g
1583 s%@LIBS@%$LIBS%g
1584 s%@exec_prefix@%$exec_prefix%g
1585 s%@prefix@%$prefix%g
1586 s%@program_transform_name@%$program_transform_name%g
1587 s%@bindir@%$bindir%g
1588 s%@sbindir@%$sbindir%g
1589 s%@libexecdir@%$libexecdir%g
1590 s%@datadir@%$datadir%g
1591 s%@sysconfdir@%$sysconfdir%g
1592 s%@sharedstatedir@%$sharedstatedir%g
1593 s%@localstatedir@%$localstatedir%g
1594 s%@libdir@%$libdir%g
1595 s%@includedir@%$includedir%g
1596 s%@oldincludedir@%$oldincludedir%g
1597 s%@infodir@%$infodir%g
1598 s%@mandir@%$mandir%g
1599 s%@CC@%$CC%g
1600 s%@CPP@%$CPP%g
1601 s%@RANLIB@%$RANLIB%g
1602 s%@PROGS_HAVE_TSEARCH@%$PROGS_HAVE_TSEARCH%g
1603 s%@WARNS@%$WARNS%g
1604 s%@SHLIBCC@%$SHLIBCC%g
1605 s%@MKSHLIB_1@%$MKSHLIB_1%g
1606 s%@MKSHLIB_2@%$MKSHLIB_2%g
1607 s%@MKSHLIB_3@%$MKSHLIB_3%g
1608 s%@SHLIBFORLINK@%$SHLIBFORLINK%g
1609 s%@SHLIBFILE@%$SHLIBFILE%g
1610 s%@SHLIBSONAME@%$SHLIBSONAME%g
1611
1612 CEOF
1613 EOF
1614
1615 cat >> $CONFIG_STATUS <<\EOF
1616
1617 # Split the substitutions into bite-sized pieces for seds with
1618 # small command number limits, like on Digital OSF/1 and HP-UX.
1619 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1620 ac_file=1 # Number of current file.
1621 ac_beg=1 # First line for current file.
1622 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1623 ac_more_lines=:
1624 ac_sed_cmds=""
1625 while $ac_more_lines; do
1626 if test $ac_beg -gt 1; then
1627 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1628 else
1629 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1630 fi
1631 if test ! -s conftest.s$ac_file; then
1632 ac_more_lines=false
1633 rm -f conftest.s$ac_file
1634 else
1635 if test -z "$ac_sed_cmds"; then
1636 ac_sed_cmds="sed -f conftest.s$ac_file"
1637 else
1638 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1639 fi
1640 ac_file=`expr $ac_file + 1`
1641 ac_beg=$ac_end
1642 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1643 fi
1644 done
1645 if test -z "$ac_sed_cmds"; then
1646 ac_sed_cmds=cat
1647 fi
1648 EOF
1649
1650 cat >> $CONFIG_STATUS <<EOF
1651
1652 CONFIG_FILES=\${CONFIG_FILES-"settings.make Makefile
1653 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1654 "}
1655 EOF
1656 cat >> $CONFIG_STATUS <<\EOF
1657 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1658 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1659 case "$ac_file" in
1660 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1661 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1662 *) ac_file_in="${ac_file}.in" ;;
1663 esac
1664
1665 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1666
1667 # Remove last slash and all that follows it. Not all systems have dirname.
1668 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1669 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1670 # The file is in a subdirectory.
1671 test ! -d "$ac_dir" && mkdir "$ac_dir"
1672 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1673 # A "../" for each directory in $ac_dir_suffix.
1674 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1675 else
1676 ac_dir_suffix= ac_dots=
1677 fi
1678
1679 case "$ac_given_srcdir" in
1680 .) srcdir=.
1681 if test -z "$ac_dots"; then top_srcdir=.
1682 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1683 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1684 *) # Relative path.
1685 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1686 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1687 esac
1688
1689
1690 echo creating "$ac_file"
1691 rm -f "$ac_file"
1692 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1693 case "$ac_file" in
1694 *Makefile*) ac_comsub="1i\\
1695 # $configure_input" ;;
1696 *) ac_comsub= ;;
1697 esac
1698
1699 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1700 sed -e "$ac_comsub
1701 s%@configure_input@%$configure_input%g
1702 s%@srcdir@%$srcdir%g
1703 s%@top_srcdir@%$top_srcdir%g
1704 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1705 fi; done
1706 rm -f conftest.s*
1707
1708 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1709 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1710 #
1711 # ac_d sets the value in "#define NAME VALUE" lines.
1712 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1713 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1714 ac_dC='\3'
1715 ac_dD='%g'
1716 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1717 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1718 ac_uB='\([ ]\)%\1#\2define\3'
1719 ac_uC=' '
1720 ac_uD='\4%g'
1721 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1722 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1723 ac_eB='$%\1#\2define\3'
1724 ac_eC=' '
1725 ac_eD='%g'
1726
1727 if test "${CONFIG_HEADERS+set}" != set; then
1728 EOF
1729 cat >> $CONFIG_STATUS <<EOF
1730 CONFIG_HEADERS="src/config.h"
1731 EOF
1732 cat >> $CONFIG_STATUS <<\EOF
1733 fi
1734 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1735 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1736 case "$ac_file" in
1737 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1738 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1739 *) ac_file_in="${ac_file}.in" ;;
1740 esac
1741
1742 echo creating $ac_file
1743
1744 rm -f conftest.frag conftest.in conftest.out
1745 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1746 cat $ac_file_inputs > conftest.in
1747
1748 EOF
1749
1750 # Transform confdefs.h into a sed script conftest.vals that substitutes
1751 # the proper values into config.h.in to produce config.h. And first:
1752 # Protect against being on the right side of a sed subst in config.status.
1753 # Protect against being in an unquoted here document in config.status.
1754 rm -f conftest.vals
1755 cat > conftest.hdr <<\EOF
1756 s/[\\&%]/\\&/g
1757 s%[\\$`]%\\&%g
1758 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1759 s%ac_d%ac_u%gp
1760 s%ac_u%ac_e%gp
1761 EOF
1762 sed -n -f conftest.hdr confdefs.h > conftest.vals
1763 rm -f conftest.hdr
1764
1765 # This sed command replaces #undef with comments. This is necessary, for
1766 # example, in the case of _POSIX_SOURCE, which is predefined and required
1767 # on some systems where configure will not decide to define it.
1768 cat >> conftest.vals <<\EOF
1769 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1770 EOF
1771
1772 # Break up conftest.vals because some shells have a limit on
1773 # the size of here documents, and old seds have small limits too.
1774
1775 rm -f conftest.tail
1776 while :
1777 do
1778 ac_lines=`grep -c . conftest.vals`
1779 # grep -c gives empty output for an empty file on some AIX systems.
1780 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1781 # Write a limited-size here document to conftest.frag.
1782 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1783 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1784 echo 'CEOF
1785 sed -f conftest.frag conftest.in > conftest.out
1786 rm -f conftest.in
1787 mv conftest.out conftest.in
1788 ' >> $CONFIG_STATUS
1789 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1790 rm -f conftest.vals
1791 mv conftest.tail conftest.vals
1792 done
1793 rm -f conftest.vals
1794
1795 cat >> $CONFIG_STATUS <<\EOF
1796 rm -f conftest.frag conftest.h
1797 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1798 cat conftest.in >> conftest.h
1799 rm -f conftest.in
1800 if cmp -s $ac_file conftest.h 2>/dev/null; then
1801 echo "$ac_file is unchanged"
1802 rm -f conftest.h
1803 else
1804 # Remove last slash and all that follows it. Not all systems have dirname.
1805 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1806 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1807 # The file is in a subdirectory.
1808 test ! -d "$ac_dir" && mkdir "$ac_dir"
1809 fi
1810 rm -f $ac_file
1811 mv conftest.h $ac_file
1812 fi
1813 fi; done
1814
1815 EOF
1816 cat >> $CONFIG_STATUS <<EOF
1817
1818 EOF
1819 cat >> $CONFIG_STATUS <<\EOF
1820
1821 exit 0
1822 EOF
1823 chmod +x $CONFIG_STATUS
1824 rm -fr confdefs* $ac_clean_files
1825 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1826